package com.nbclass.activity.service;

import com.nbclass.activity.model.WeiXiUser;

public interface WxService {

    /**
     * 数据库查询是否有该openid，如果有直接从数据库获取用户信息
     * @param openid
     * @return
     */
    int getOpenId(String openid);

    /**
     * 添加用户信息到数据库
     * @param weiXiUser
     */
    void saveWxUser(WeiXiUser weiXiUser);

    /**
     * 数据库获取用户信息
     * @param openid
     * @return
     */
    WeiXiUser getWxUser(String openid);

    /**
     * 根据用户id获取信息
     * @param userId
     * @return
     */
    WeiXiUser getUser(String userId);

    /**
     * 更新用户基础信息
     * @param weiXiUser
     * @return
     */
    void updateBasicData(WeiXiUser weiXiUser);

    /**
     * 查看用户基础信息
     * @return
     */
    WeiXiUser getUserBasicData(Long userId);

}
